### Virtual Method

# Camel Folder synchronize_message_sync

since: 3.0

#### Declaration [src]

    gboolean
    synchronize_message_sync (
      CamelFolder* folder,
      const gchar* message_uid,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Ensure that a message identified by `message_uid` has been synchronized in `folder` so that calling `camel_folder_get_message()` on it later will work in offline mode.

Available since: 3.0

#### Parameters

`message_uid`

  Type: `const gchar*`

  A message UID.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` on error.